Bug 499425 - With "noprobe" kernel cmdline option, then isn't possible AskMethod NFS installation.
With "noprobe" kernel cmdline option, then isn't possible AskMethod NFS insta...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 12:01 EDT by Frantisek Hanzlik
Modified: 2009-10-01 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 21:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
6 files (three pcap/ascii pairs) as gzipped tar (76.89 KB, application/x-compressed-tar)
2009-05-06 12:10 EDT, Frantisek Hanzlik
no flags Details

  None (edit)
Description Frantisek Hanzlik 2009-05-06 12:01:07 EDT
Description of problem:
I'm just trying install F11 Rawhide (from 5-May-09) on FSC Amilo NTB, AskMethod type with distro on NFS server. Because some HW problem, I must boot with "noprobe" kernel option, otherwise I stay on black screen in phase of initializing HW. OK, when specifying "noprobe", I can select net driver, NetworkManager initialize eth0 over DHCP and I enter NFS server name and Fedora directory.
But then anaconda state: "Error. That directory could not be mounted from the server".
Problem live probably in usage "noprobe" commandline parameter - when I try installation on other PC without HW problems, then without "noprobe" NFS directory mounts fine and installer start OK; with "noprobe" process ends badly as with FSC NTB.

Version-Release number of selected component (if applicable):
I test it with 1-May-09 release (anaconda-11.5.0.4*-1.fc11.i586.rpm) and 5-May-09 release (anaconda-11.5.0.49-1.fc11.i586.rpm), I suppose that same anaconda versions are on appropriate "boot.iso" images.

How reproducible:
Always.

Steps to Reproduce:
1. boot from rawhide "boot.iso" CD and specify "askmethod noprobe" params
2. select network driver and IPv4 configuration
3. enter NFS server name/IP and Fedora distro directory
  
Actual results:
- NFS directory could not be mounted
And when going back for new NFS server/Fedora directory setting, Fedora directory value contain "/images/install.img" in addition to previously entered value. Maybe cosmetic only thing.

Expected results:
installation should be continued from loopback mounted ./images/install.img

Little OT, rather TODO: it would be fine if anaconda could run in case Askmethod -> Hard drive from distro in normal directory tree, not only expecting ISO images on that hard drive. Imagine eg. customized distro on
USB stick or USB/firewire disk, etc.

Additional info:
Fedora Rawhide i386. NFS server is running Fedora 10 w up-to-date updates.
Attachment - gzipped tar traffic captured by Wireshark on NFS server in both cases, with and without "noprobe" param, as libpcap and ascii packet-on-oneline.

/var/log/messages on NFS server contain:
- in case with "noprobe":
May  6 14:20:50 franta mountd[16721]: authenticated mount request from 192.168.1.144:810 for /mnt/ARCHIV/dist/RH/f11/i386/os/images (/mnt/ARCHIV)
May  6 14:20:50 franta mountd[16721]: authenticated mount request from 192.168.1.144:711 for /mnt/ARCHIV/dist/RH/f11/i386/os/images (/mnt/ARCHIV)

- in case without "noprobe" is one line moreover:
May  6 14:16:55 franta mountd[16721]: authenticated mount request from 192.168.1.144:711 for /mnt/ARCHIV/dist/RH/f11/i386/os/images (/mnt/ARCHIV)
May  6 14:16:55 franta mountd[16721]: authenticated mount request from 192.168.1.144:1018 for /mnt/ARCHIV/dist/RH/f11/i386/os/RHupdates (/mnt/ARCHIV)
May  6 14:16:55 franta mountd[16721]: can't stat exported dir /mnt/ARCHIV/dist/RH/f11/i386/os/RHupdates: No such file or directory
Comment 1 Frantisek Hanzlik 2009-05-06 12:10:15 EDT
Created attachment 342683 [details]
6 files (three pcap/ascii pairs) as gzipped tar

amilo-with_noprobe.lst  - FSC notebook ascii one line per packet
amilo-with_noprobe.pcap - dtto as tcpdump libpcpap

janusa-with_noprobe.lst  - PC "janusa", ascii one line per packet
janusa-with_noprobe.pcap - dtto as tcpdump libpcpap

janusa-without_noprobe.lst  - PC "janusa", ascii one line per packet
janusa-without_noprobe.pcap - dtto as tcpdump libpcpap
Comment 2 Bug Zapper 2009-06-09 11:15:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Cantrell 2009-07-27 17:31:47 EDT
Can you boot the installer and pass loglevel=debug and then when you get the error about mounting the NFS directory, switch over to tty3 and copy what it says and paste it here.
Comment 4 David Cantrell 2009-10-01 21:03:17 EDT
Have not received any information back from NEEDINFO, closing.  If you can confirm this problem is still happening on rawhide, reopen the bug and post current debugging information.

Note You need to log in before you can comment on or make changes to this bug.